package com.fs.his.service;

import com.fs.his.domain.FsUserExtract;
import com.fs.his.param.FsUserExtractParam;
import com.fs.his.vo.FsUserExtractVO;

import java.util.List;

/**
 * 用户提现管理Service接口
 *
 * @author fs
 * @date 2023-06-25
 */
public interface IFsUserExtractService
{
    /**
     * 查询用户提现管理
     *
     * @param extractId 用户提现管理主键
     * @return 用户提现管理
     */
    public FsUserExtract selectFsUserExtractByExtractId(String extractId);

    /**
     * 查询用户提现管理列表
     *
     * @param fsUserExtract 用户提现管理
     * @return 用户提现管理集合
     */
    public List<FsUserExtract> selectFsUserExtractList(FsUserExtract fsUserExtract);

    /**
     * 新增用户提现管理
     *
     * @param fsUserExtract 用户提现管理
     * @return 结果
     */
    public int insertFsUserExtract(FsUserExtract fsUserExtract);

    /**
     * 审核
     *
     * @param fsUserExtract 审核
     * @return 结果
     */
    public int updateFsUserExtract(FsUserExtract fsUserExtract);

    /**
     * 批量删除用户提现管理
     *
     * @param extractIds 需要删除的用户提现管理主键集合
     * @return 结果
     */
    public int deleteFsUserExtractByExtractIds(String[] extractIds);

    /**
     * 删除用户提现管理信息
     *
     * @param extractId 用户提现管理主键
     * @return 结果
     */
    public int deleteFsUserExtractByExtractId(String extractId);

    List<FsUserExtractVO> selectFsUserExtractListVO(FsUserExtractParam fsUserExtract);
}
